> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Update a taxation item

PUT https://rest.test.zuora.com/v1/taxation-items/{id}
Content-Type: application/json

Updates a specific taxation item by ID.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/taxation-items/put-taxation-item

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `id` (string, required) — The unique ID of a taxation item.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

### Body (application/json)

This endpoint expects a PUTTaxationItemType.

- `exemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `financeInformation` (PutTaxationItemTypeFinanceInformation, optional) — Container for the finance information related to the taxation item.
- `jurisdiction` (string, optional) — The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
- `locationCode` (string, optional) — The identifier for the location based on the value of the `taxCode` field.
- `name` (string, optional) — The name of the taxation item to be updated.
- `taxAmount` (double, optional) — The amount of the tax applied to the credit or debit memo.
- `taxCode` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific credit or debit memo.
- `taxCodeDescription` (string, optional) — The description of the tax code.
- `taxDate` (date, optional) — The date when the tax is applied to the credit or debit memo.
- `taxRate` (double, optional) — The tax rate applied to the credit or debit memo.
- `taxRateDescription` (string, optional) — The description of the tax rate.
- `taxRateType` (enum, optional) — The type of the tax rate applied to the credit or debit memo.
  - Allowed values: `Percentage`, `FlatFee`

## Response

### 200

OK

- `createdById` (string, optional) — The ID of the Zuora user who created the taxation item.
- `createdDate` (string, optional) — The date and time when the taxation item was created in the Zuora system, in `yyyy-mm-dd hh:mm:ss` format.
- `exemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `financeInformation` (GetTaxationItemTypeFinanceInformation, optional) — Container for the finance information related to the taxation item.
- `id` (string, optional) — The ID of the taxation item.
- `jurisdiction` (string, optional) — The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
- `locationCode` (string, optional) — The identifier for the location based on the value of the `taxCode` field.
- `memoItemId` (string, optional) — The ID of the credit or debit memo associated with the taxation item.
- `name` (string, optional) — The name of the taxation item.
- `sourceTaxItemId` (string, optional) — The ID of the taxation item of the invoice, which the credit or debit memo is created from.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.
- `taxAmount` (double, optional) — The amount of the tax applied to the credit or debit memo.
- `taxCode` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific credit or debit memo.
- `taxCodeDescription` (string, optional) — The description of the tax code.
- `taxDate` (date, optional) — The date when the tax is applied to the credit or debit memo.
- `taxRate` (double, optional) — The tax rate applied to the credit or debit memo.
- `taxRateDescription` (string, optional) — The description of the tax rate.
- `taxRateType` (enum, optional) — The type of the tax rate applied to the credit or debit memo.
  - Allowed values: `Percentage`, `FlatFee`
- `updatedById` (string, optional) — The ID of the Zuora user who last updated the taxation item.
- `updatedDate` (string, optional) — The date and time when the taxation item was last updated, in `yyyy-mm-dd hh:mm:ss` format.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### PutTaxationItemTypeFinanceInformation

Container for the finance information related to the taxation item.

- `onAccountAccountingCode` (string, optional) — The accounting code that maps to an on account in your accounting system.
- `salesTaxPayableAccountingCode` (string, optional) — The accounting code for the sales taxes payable.

### GetTaxationItemTypeFinanceInformation

Container for the finance information related to the taxation item.

- `onAccountAccountingCode` (string, optional) — The accounting code that maps to an on account in your accounting system.
- `onAccountAccountingCodeType` (string, optional) — The type of the accounting code that maps to an on account in your accounting system.
- `salesTaxPayableAccountingCode` (string, optional) — The accounting code for the sales taxes payable.
- `salesTaxPayableAccountingCodeType` (string, optional) — The type of the accounting code for the sales taxes payable.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Request**

```json
{
  "taxRateDescription": "Details of the tax rate"
}
```

**Response**

```json
{
  "createdById": "8ad084a67f9c7138017fab8a8b511b5a",
  "createdDate": "2024-11-04 10:53:16",
  "exemptAmount": 0,
  "financeInformation": {
    "salesTaxPayableAccountingCode": "Sales Tax Payable",
    "salesTaxPayableAccountingCodeType": "SalesTaxPayable"
  },
  "id": "8ad09d9392e0a4430192f51746d121f6",
  "jurisdiction": "CALIFORNIA",
  "locationCode": null,
  "memoItemId": null,
  "name": "CA TAX",
  "sourceTaxItemId": null,
  "success": true,
  "taxAmount": 3,
  "taxCode": null,
  "taxCodeDescription": null,
  "taxDate": "2024-11-04",
  "taxRate": 3,
  "taxRateDescription": "Details of the tax rate",
  "taxRateType": "FlatFee",
  "updatedById": "8ad084a67f9c7138017fab8a8b511b5a",
  "updatedDate": "2024-11-04 10:57:51",
  "applicableTaxUnRounded": 3,
  "country": null,
  "invoiceItemId": "8ad086fa92d66ffe0192dc7e5dd65161",
  "taxMode": "TaxExclusive"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/taxation-items/id"

payload = { "taxRateDescription": "Details of the tax rate" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/taxation-items/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"taxRateDescription":"Details of the tax rate"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/taxation-items/id"

	payload := strings.NewReader("{\n  \"taxRateDescription\": \"Details of the tax rate\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/taxation-items/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"taxRateDescription\": \"Details of the tax rate\"\n}"

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://rest.test.zuora.com/v1/taxation-items/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"taxRateDescription\": \"Details of the tax rate\"\n}")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://rest.test.zuora.com/v1/taxation-items/id', [
  'body' => '{
  "taxRateDescription": "Details of the tax rate"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/taxation-items/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"taxRateDescription\": \"Details of the tax rate\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["taxRateDescription": "Details of the tax rate"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/taxation-items/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```